--
-- Fichiers d'autorités pour UNIMARC en français
-- Authorities tables for UNIMARC in french
-- Copyright Paul POULAIN, BibLibre SARL

-- This file is part of Koha.
--
-- Koha is free software; you can redistribute it and/or modify it under the
-- terms of the GNU General Public License as published by the Free Software
-- Foundation; either version 2 of the License, or (at your option) any later
-- version.
--
-- Koha is distributed in the hope that it will be useful, but WITHOUT ANY
-- WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-- A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License along with
-- Koha; if not, write to the Free Software Foundation, Inc., 59 Temple Place,
-- Suite 330, Boston, MA  02111-1307 USA
--

-- 
-- Contenu de la table `auth_types`
-- 

set NAMES 'utf8';

INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('CO', 'Auteur (collectif/collectivité)', '210', '[210a ][ (210c)][. 210b][ -- 210d][ ; 210e][ ; 210f]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('NP', 'Auteur', '200', '[200a][, 200b][ 200d][ ; 200c][ (200f)]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('SAUT', 'Sujet (auteur)', '200', '[200a][, 200b][(200g)][ 200d][ ; 200c][ (200f)][ -- 200x][ -- 200z][ -- 200y]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('SAUTTIT', 'Auteur titre', '240', '[240a][, 240b][ 240d][ ; 240c][ (240f)][. 240t]\r\n');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('SCO', 'Sujet (collectivité)', '210', '[210a ][ (210c)][. 210b][ -- 210d][ ; 210e][ ; 210f][ -- 210x][ -- 210z][ -- 210y]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('SNC', 'Sujet (nom commun)', '250', '[250a][ -- 250x][ -- 250y][ -- 250z] [(250b)]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('SNG', 'Sujet (nom géographique)', '215', '[215a][ -- 215y][ -- 215x][ -- 215z]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('STU', 'Sujet (titre uniforme)', '230', '[230a][. 230i][. 230h][. 230m][. 230k][ -- 230x][ -- 230q][ -- 230y][ -- 230z][ -- 230l]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('TU', 'Titre Uniforme', '230', '[230a][. 230i][. 230h][. 230m][. 230q][. 230k][ -- 230x][ -- 230y][ -- 230z][ -- 230l]');

-- 
-- Contenu de la table `auth_tag_structure`
-- 

INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '102', 'Nationalité de l''entité', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '210', 'Vedette', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '356', 'Note géographique', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '410', 'Forme rejetée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '510', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '710', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '801', 'Origine de la notice', '', 1, 1, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '102', 'Nationalité de l''entité', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '200', 'Vedette', '', 1, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '356', 'Note géographique', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '400', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '500', 'Forme associée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '700', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '801', 'Origine de la notice', '', 1, 1, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '102', 'Nationalité de l''entité', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '200', 'Vedette', '', 1, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '356', 'Note géographique', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '400', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '500', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '700', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUT', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '102', 'Nationalité de l''entité', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '240', 'Vedette', '', 1, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '356', 'Note géographique', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '440', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '540', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '740', 'Forme parallèle', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '102', 'Nationalité de l''entité', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '210', 'Vedette-Nom de collectivité', '', 1, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '356', 'Note géographique', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '410', 'Forme rejetée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '510', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '710', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SCO', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '102', 'Nationalité de l''entité', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '250', 'Vedette-Matière nom commun', '', 1, 1, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '356', 'Note géographique', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '450', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '550', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '750', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '102', 'Nationalité de l''entité', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '215', 'Vedette', '', 1, 1, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '356', 'Note géographique', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '415', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '515', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '715', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '102', 'Nationalité de l''entité', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '230', 'Vedette', '', 1, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '356', 'Note géographique', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '430', 'Forme rejetée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '530', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '730', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('STU', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '102', 'Nationalité de l''entité', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '230', 'Vedette', '', 1, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '356', 'Note géographique', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '430', 'Forme rejetée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '530', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '730', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '886', 'Données non converties du format source', '', 1, 0, NULL);

-- 
-- Contenu de la table `auth_subfield_structure`
-- 

INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '005', '@', 'tag 005', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '210', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '210', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '210', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '210', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '210', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '210', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '210', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '210', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '210', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '210', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '210', 'h', 'Partie du nom autre que l''élément d''entrée et autre que l''élément rejeté 0 0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '210', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '210', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '210', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '410', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté     0     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', 'j', 'subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '510', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '710', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('CO', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '005', '@', 'tag 005', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '200', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '200', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '200', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '200', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '200', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '200', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '200', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '200', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '200', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '200', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '200', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '200', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '200', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', '2', 'code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '400', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '500', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '700', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '700', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '700', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '700', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '700', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '700', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '700', 'b', 'Partie du nom autre que l''élément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '700', 'c', 'Qualif autre que dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '700', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '700', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '700', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '700', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '700', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '700', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '700', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('NP', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '200', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '200', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '200', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '200', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '200', 'b', 'Partie du nom autre que l''élément d''entré', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '200', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '200', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '200', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '200', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '200', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '200', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '200', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '200', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', '2', 'code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', '4', 'Code de fonction', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '400', 'z', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '700', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '700', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '700', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '700', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '700', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '700', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '700', 'b', 'Partie du nom autre que l''élément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '700', 'c', 'Qualif autre que dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '700', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '700', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '700', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '700', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '700', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '700', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '700', 'z', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUT', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '005', '@', 'tag 005', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '240', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '240', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '240', 'a', 'Auteur', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '240', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '240', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '240', 'f', 'Dates', '', 0, 0, 0, '', NULL, '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '240', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '240', 't', 'Titre', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '240', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '240', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '240', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', '7', 'Ecriture de catalogage et écriture de la racine de la vedette      0      0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', '8', 'Langue de catalogage et langue de la racine de la vedette      0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', 'a', 'Auteur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', 'c', 'qualificatif', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', 'd', 'numérotation (chiffres romains)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', 'f', 'Dates', '', 0, 0, 0, '', NULL, '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', 't', 'Titre', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '440', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '540', '0', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '540', '2', 'Code du système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '540', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '540', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '540', 'a', 'Auteur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '540', 'j', 'Subdivision de forme', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '540', 't', 'Titre', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '540', 'x', 'Subdiv. de sujet', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '540', 'y', 'Subdiv. géographique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '540', 'z', 'Subdiv. chronologique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '740', '2', 'Code du système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '740', '3', 'Identificateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '740', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '740', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '740', 'a', 'Auteur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '740', 'j', 'Subdivision de forme', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '740', 't', 'Titre', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '740', 'x', 'Subdiv. de sujet', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '740', 'y', 'Subdiv. géographique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '740', 'z', 'Subdivision', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SAUTTIT', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '210', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '210', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '210', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '210', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '210', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '210', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '210', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '210', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '210', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '210', 'h', 'Partie du nom autre que l''élément d''entrée et autre que l''élément rejeté 0 0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '210', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '210', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '210', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '410', 'z', 'Subdivision', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté     0     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', 'j', 'subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '710', 'z', 'Subdivision', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SCO', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '250', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '250', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '250', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '250', 'b', 'Statut', '', 0, 0, -1, 'CAND', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '250', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '250', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '250', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '250', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '450', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '450', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '450', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '450', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '450', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '450', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '450', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '450', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '450', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '450', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '450', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '450', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '550', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '550', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '550', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '550', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '550', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '550', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '750', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '750', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '750', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '750', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '750', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '750', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '750', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '750', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '750', 'z', 'Subdivision', '', 0, 1, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNC', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '215', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '215', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '215', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '215', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '215', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '215', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '215', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '415', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '415', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '415', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '415', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '415', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '415', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '415', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '415', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '415', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '415', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '415', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '415', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '515', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '515', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '515', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '515', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '515', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '715', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '715', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '715', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '715', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '715', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '715', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '715', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '715', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '715', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('SNG', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 'm', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 'w', 'Mention d''arrangement', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '230', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '330', 'a', 'Note sur le champ d''application', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', '2', 'code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', '7', 'Ecriture de catalogage et écriture de la racine de la vedette     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'h', 'Numéro de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'i', 'titre de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'k', 'date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '430', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'n', 'Autre informations', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'i', 'titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'n', 'Autres informations', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '730', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('STU', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '005', '@', 'tag 005', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 'm', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 'w', 'Mention d''arrangement', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '230', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '330', 'a', 'Note sur le champ d''application', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', '2', 'code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', '7', 'Ecriture de catalogage et écriture de la racine de la vedette     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'h', 'Numéro de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'i', 'titre de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'k', 'date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '430', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '530', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'i', 'titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '730', 'z', 'Subdiv. chronologique', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES ('TU', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '');
